#ifndef QMK_KBD_LIST_H
#define QMK_KBD_LIST_H

#include <QWidget>

#include <QFileInfoList>

namespace Ui {
class qmk_kbd_list;
}

class qmk_kbd_list : public QWidget
{
    Q_OBJECT

public:
    explicit qmk_kbd_list(QWidget *parent = 0);
    ~qmk_kbd_list();

    void setInfo(QFileInfoList revisions, QFileInfoList keymaps);
    QFileInfo getRev();
    QFileInfo getKeymap();

signals:
    void kbdSelected(int rev, int keymap);

private slots:
    void on_ok_clicked();

    void on_cancel_clicked();

private:
    Ui::qmk_kbd_list *ui;

    QFileInfoList m_revisions;
    QFileInfoList m_keymaps;
    //bool m_isShowing;

    int m_currentRev;
    int m_currentKeymap;

    void closeEvent ( QCloseEvent * e );
};

#endif // QMK_KBD_LIST_H
